osg::ConstArrayVisitor Class Reference

`#include <Array>`

Inheritance diagram for osg::ConstArrayVisitor:

## Public Member Functions

| ConstArrayVisitor ()
virtual | ~ConstArrayVisitor ()
virtual void | apply (const Array &)
virtual void | apply (const ByteArray &)
virtual void | apply (const ShortArray &)
virtual void | apply (const IntArray &)
virtual void | apply (const UByteArray &)
virtual void | apply (const UShortArray &)
virtual void | apply (const UIntArray &)
virtual void | apply (const FloatArray &)
virtual void | apply (const DoubleArray &)
virtual void | apply (const Vec2bArray &)
virtual void | apply (const Vec3bArray &)
virtual void | apply (const Vec4bArray &)
virtual void | apply (const Vec2sArray &)
virtual void | apply (const Vec3sArray &)
virtual void | apply (const Vec4sArray &)
virtual void | apply (const Vec2iArray &)
virtual void | apply (const Vec3iArray &)
virtual void | apply (const Vec4iArray &)
virtual void | apply (const Vec2ubArray &)
virtual void | apply (const Vec3ubArray &)
virtual void | apply (const Vec4ubArray &)
virtual void | apply (const Vec2usArray &)
virtual void | apply (const Vec3usArray &)
virtual void | apply (const Vec4usArray &)
virtual void | apply (const Vec2uiArray &)
virtual void | apply (const Vec3uiArray &)
virtual void | apply (const Vec4uiArray &)
virtual void | apply (const Vec2Array &)
virtual void | apply (const Vec3Array &)
virtual void | apply (const Vec4Array &)
virtual void | apply (const Vec2dArray &)
virtual void | apply (const Vec3dArray &)
virtual void | apply (const Vec4dArray &)
virtual void | apply (const MatrixfArray &)
virtual void | apply (const MatrixdArray &)
virtual void | apply (const UInt64Array &)
virtual void | apply (const Int64Array &)

## Constructor & Destructor Documentation

## ConstArrayVisitor()

osg::ConstArrayVisitor::ConstArrayVisitor | ( |  | ) |

inline

## ~ConstArrayVisitor()

virtual osg::ConstArrayVisitor::~ConstArrayVisitor | ( |  | ) |

inline virtual

## Member Function Documentation

## apply() [1/37]

virtual void osg::ConstArrayVisitor::apply | ( | const Array & |  | ) |

inline virtual

Referenced by osg::TemplateArray< T, ARRAYTYPE, DataSize, DataType >::accept(), and osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType >::accept().

## apply() [2/37]

virtual void osg::ConstArrayVisitor::apply | ( | const ByteArray & |  | ) |

inline virtual

Reimplemented in osg::ConstAttributeFunctorArrayVisitor.

## apply() [3/37]

virtual void osg::ConstArrayVisitor::apply | ( | const DoubleArray & |  | ) |

inline virtual

Reimplemented in osg::ConstAttributeFunctorArrayVisitor.

## apply() [4/37]

virtual void osg::ConstArrayVisitor::apply | ( | const FloatArray & |  | ) |

inline virtual

Reimplemented in osg::ConstAttributeFunctorArrayVisitor.

## apply() [5/37]

virtual void osg::ConstArrayVisitor::apply | ( | const Int64Array & |  | ) |

inline virtual

## apply() [6/37]

virtual void osg::ConstArrayVisitor::apply | ( | const IntArray & |  | ) |

inline virtual

Reimplemented in osg::ConstAttributeFunctorArrayVisitor.

## apply() [7/37]

virtual void osg::ConstArrayVisitor::apply | ( | const MatrixdArray & |  | ) |

inline virtual

## apply() [8/37]

virtual void osg::ConstArrayVisitor::apply | ( | const MatrixfArray & |  | ) |

inline virtual

## apply() [9/37]

virtual void osg::ConstArrayVisitor::apply | ( | const ShortArray & |  | ) |

inline virtual

Reimplemented in osg::ConstAttributeFunctorArrayVisitor.

## apply() [10/37]

virtual void osg::ConstArrayVisitor::apply | ( | const UByteArray & |  | ) |

inline virtual

Reimplemented in osg::ConstAttributeFunctorArrayVisitor.

## apply() [11/37]

virtual void osg::ConstArrayVisitor::apply | ( | const UInt64Array & |  | ) |

inline virtual

## apply() [12/37]

virtual void osg::ConstArrayVisitor::apply | ( | const UIntArray & |  | ) |

inline virtual

Reimplemented in osg::ConstAttributeFunctorArrayVisitor.

## apply() [13/37]

virtual void osg::ConstArrayVisitor::apply | ( | const UShortArray & |  | ) |

inline virtual

Reimplemented in osg::ConstAttributeFunctorArrayVisitor.

## apply() [14/37]

virtual void osg::ConstArrayVisitor::apply | ( | const Vec2Array & |  | ) |

inline virtual

Reimplemented in osg::ConstAttributeFunctorArrayVisitor.

## apply() [15/37]

virtual void osg::ConstArrayVisitor::apply | ( | const Vec2bArray & |  | ) |

inline virtual

## apply() [16/37]

virtual void osg::ConstArrayVisitor::apply | ( | const Vec2dArray & |  | ) |

inline virtual

Reimplemented in osg::ConstAttributeFunctorArrayVisitor.

## apply() [17/37]

virtual void osg::ConstArrayVisitor::apply | ( | const Vec2iArray & |  | ) |

inline virtual

## apply() [18/37]

virtual void osg::ConstArrayVisitor::apply | ( | const Vec2sArray & |  | ) |

inline virtual

## apply() [19/37]

virtual void osg::ConstArrayVisitor::apply | ( | const Vec2ubArray & |  | ) |

inline virtual

## apply() [20/37]

virtual void osg::ConstArrayVisitor::apply | ( | const Vec2uiArray & |  | ) |

inline virtual

## apply() [21/37]

virtual void osg::ConstArrayVisitor::apply | ( | const Vec2usArray & |  | ) |

inline virtual

## apply() [22/37]

virtual void osg::ConstArrayVisitor::apply | ( | const Vec3Array & |  | ) |

inline virtual

Reimplemented in osg::ConstAttributeFunctorArrayVisitor.

## apply() [23/37]

virtual void osg::ConstArrayVisitor::apply | ( | const Vec3bArray & |  | ) |

inline virtual

## apply() [24/37]

virtual void osg::ConstArrayVisitor::apply | ( | const Vec3dArray & |  | ) |

inline virtual

Reimplemented in osg::ConstAttributeFunctorArrayVisitor.

## apply() [25/37]

virtual void osg::ConstArrayVisitor::apply | ( | const Vec3iArray & |  | ) |

inline virtual

## apply() [26/37]

virtual void osg::ConstArrayVisitor::apply | ( | const Vec3sArray & |  | ) |

inline virtual

## apply() [27/37]

virtual void osg::ConstArrayVisitor::apply | ( | const Vec3ubArray & |  | ) |

inline virtual

## apply() [28/37]

virtual void osg::ConstArrayVisitor::apply | ( | const Vec3uiArray & |  | ) |

inline virtual

## apply() [29/37]

virtual void osg::ConstArrayVisitor::apply | ( | const Vec3usArray & |  | ) |

inline virtual

## apply() [30/37]

virtual void osg::ConstArrayVisitor::apply | ( | const Vec4Array & |  | ) |

inline virtual

Reimplemented in osg::ConstAttributeFunctorArrayVisitor.

## apply() [31/37]

virtual void osg::ConstArrayVisitor::apply | ( | const Vec4bArray & |  | ) |

inline virtual

## apply() [32/37]

virtual void osg::ConstArrayVisitor::apply | ( | const Vec4dArray & |  | ) |

inline virtual

Reimplemented in osg::ConstAttributeFunctorArrayVisitor.

## apply() [33/37]

virtual void osg::ConstArrayVisitor::apply | ( | const Vec4iArray & |  | ) |

inline virtual

## apply() [34/37]

virtual void osg::ConstArrayVisitor::apply | ( | const Vec4sArray & |  | ) |

inline virtual

## apply() [35/37]

virtual void osg::ConstArrayVisitor::apply | ( | const Vec4ubArray & |  | ) |

inline virtual

Reimplemented in osg::ConstAttributeFunctorArrayVisitor.

## apply() [36/37]

virtual void osg::ConstArrayVisitor::apply | ( | const Vec4uiArray & |  | ) |

inline virtual

## apply() [37/37]

virtual void osg::ConstArrayVisitor::apply | ( | const Vec4usArray & |  | ) |

inline virtual

The documentation for this class was generated from the following file:

- Array